﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;

namespace FloatingPanelsHiddenByChildForms
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            CreateDockManagerPanes(this.ultraDockManager1);
        }

        private void CreateDockManagerPanes(UltraDockManager manager)
        {
            // now create the control pane to contain the ultraButton
            DockableControlPane paneText = new DockableControlPane(this.ultraButton1 );

            // create a dock area on the right to contain the ultraButton
            DockAreaPane dockAreaFloat = new DockAreaPane(DockedLocation.DockedRight);

            // initialize the size of the dock area
            dockAreaFloat.Size = new Size(120, 200);

            // contain the ultraButton pane in the dock area
            dockAreaFloat.Panes.Add(paneText);

            // Add the dock areas to the dock manager
            ultraDockManager1.DockAreas.Add(dockAreaFloat);

            // float the ultraButton dock area but give it a different
            // floating size
            dockAreaFloat.Float(false, new Rectangle(400, 400, 200, 150));
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            Form2 f2 = new Form2();
            f2.Show();
            this.BringToFront();
        }
    }
}
